## org.eclipse.datatools.sqltools.result.internal.ui.export
Class SaveResultSetDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.jface.dialogs.TitleAreaDialog
                      org.eclipse.datatools.sqltools.result.internal.ui.export.SaveResultSetDialog

All Implemented Interfaces:
  org.eclipse.help.IContextProvider, org.eclipse.jface.window.IShellProvider

    public class SaveResultSetDialog

extends org.eclipse.jface.dialogs.TitleAreaDialog
implements org.eclipse.help.IContextProvider

An UI class that is used to save the result set or all result sets in a result instance into an Eclipse project file

Author:
  Dafan Yang

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog
`DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`SaveResultSetDialog(org.eclipse.swt.widgets.Shell parentShell, IResultInstance result)` Creates a new Save As dialog (Used to save all the result set objects in a result instance)
`SaveResultSetDialog(org.eclipse.swt.widgets.Shell parentShell, IResultSetObject resultset)` Creates a new Save As dialog (Used to save a result set object)

Method Summary
`org.eclipse.help.IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`org.eclipse.core.runtime.IPath` `getResult()` Returns the full path entered by the user.
`java.lang.String` `getSearchExpression(java.lang.Object target)`
`void` `setOriginalFile(org.eclipse.core.resources.IFile originalFile)` Sets the original file to use.
`void` `setOriginalName(java.lang.String originalName)` Set the original file name to use.

Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog
`setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`close, closeTray, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveResultSetDialog

    public SaveResultSetDialog(org.eclipse.swt.widgets.Shell parentShell,
                               IResultSetObject resultset)

  Creates a new Save As dialog (Used to save a result set object)

  Parameters:
    `parentShell` - the parent shell
    `resultset` - the result set object

### SaveResultSetDialog

    public SaveResultSetDialog(org.eclipse.swt.widgets.Shell parentShell,
                               IResultInstance result)

  Creates a new Save As dialog (Used to save all the result set objects in a result instance)

  Parameters:
    `parentShell` - the parent shell
    `result` - the result instance

Method Detail

### getContext

    public org.eclipse.help.IContext getContext(java.lang.Object target)

  Specified by:
    `getContext` in interface `org.eclipse.help.IContextProvider`

### getContextChangeMask

    public int getContextChangeMask()

  Specified by:
    `getContextChangeMask` in interface `org.eclipse.help.IContextProvider`

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

  Specified by:
    `getSearchExpression` in interface `org.eclipse.help.IContextProvider`

### getResult

    public org.eclipse.core.runtime.IPath getResult()

  Returns the full path entered by the user.

  Note that the file and container might not exist and would need to be created. See the `IFile.create` method and the `ContainerGenerator` class.

  Returns:
    the path, or `null` if Cancel was pressed

### setOriginalFile

    public void setOriginalFile(org.eclipse.core.resources.IFile originalFile)

  Sets the original file to use.

  Parameters:
    `originalFile` - the original file

### setOriginalName

    public void setOriginalName(java.lang.String originalName)

  Set the original file name to use. Used instead of `setOriginalFile` when the original resource is not an IFile. Must be called before `create`.

  Parameters:
    `originalName` - default file name